Subject: IS_ERR() in linux32.c

From: Greg Lindahl <[email-masked]>
Date: Wed, 8 Jan 2003 18:45:38 -0800

The file arch/mips64/kernel/linux32.c has a bunch of uses of IS_ERR(),
some against pointers (which is what it's designed to be used with),
and some against integers. I see a patch posted in 2001 which fixes
that, but it was also fixing other things and didn't get applied.

Anyone have a comment? This is about 1/3 of the remaining warnings when
I do "make -s" on the kernel.

-- greg